
Foreman - Refactor #11208

Simplecov should be opt-in

07/24/2015 11:41 AM - Daniel Lobato Garcia

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Tests   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Simplecov is taking up some time to generate test coverage documentation that does not need to be recreated after every test run.

Now it runs after every time we run tests, but it could possibly just run when we pass an argument --simplecov. This should slightly

relieve Jenkins infra usage.

Related issues:

Related to Foreman - Refactor #14191: Remove test coverage Closed 03/14/2016

History

#1 - 03/14/2016 11:54 AM - Dominic Cleal

- Related to Refactor #14191: Remove test coverage added

#2 - 03/15/2016 11:47 AM - Dominic Cleal

- Status changed from New to Rejected

Rejecting for now as it's been removed entirely via #14191.  I'm open to this being an opt-in feature still though.
